$(function() {
	$('button.delete').click(function(){
		if (window.confirm('削除します。よろしいですか？')) {
			$('#id').val($(this).attr('name'));
			VIEW.submit.post('batch', 'delete');
		}
	});
	$('button.output').click(function(){
		if (window.confirm('出力します。よろしいですか？')) {
			$('#id').val($(this).attr('name'));
			VIEW.submit.post('batch', 'output');
		}
	});
	$('button.register').click(function(){
		if (window.confirm('登録します。よろしいですか？')) {
			VIEW.submit.post('form', 'register');
		}
	});
	$('a.outputMake').click(function(){$('#outputMakeTbl').toggle(100);});
	$('table.dnd').tableDnD();
	if (location.search !== '') {
		$('#outputMakeTbl').show();
	}

	$('select.interval').change(function(){
		if ('week' === $(this).val()) {
			$('span.hm').show();
			$('span.week').show();
			$('span.ymd').hide();
		} else if ('' === $(this).val()) {
			$('span.hm').hide();
			$('span.week').hide();
			$('span.ymd').hide();
		} else if ('day' === $(this).val()) {
			$('span.hm').show();
			$('span.week').hide();
			$('span.ymd').hide();
		} else {
			$('span.hm').show();
			$('span.week').hide();
			$('span.ymd').show();
			$('input.year_month_day').val('');
			if ('next' === $(this).val()) {
				$('label.ymd_label').text('年月日');
			} else if ('year' === $(this).val()) {
				$('label.ymd_label').text('月日');
			} else if ('month' === $(this).val()) {
				$('label.ymd_label').text('日');
			}
		}
	});
});
